Results 1 to 2 of 2

Thread: New to plugin and to VS Code - how I configure it?

    Thank you for reporting this bug. We will make it our priority to review this report.
  1. #1
    Sencha Premium Member
    Join Date
    May 2010
    Location
    Guatemala, Central America
    Posts
    1,557
    Answers
    13
    Vote Rating
    378
      0  

    Default New to plugin and to VS Code - how I configure it?

    Hi,

    After successful installation of the plugg-in in VSCode I got a message saying that I need cmd 6 or better so in VSCode command palette I sought for "extjs" then select "Edit Ext JS IntelliSense configuration" but I got the error message "Path must be a string. Received undefined". Each time I tried no luck.

    Do I have to have cmd 6+ in PATH?

    Environment:

    VSCode 1.8.1
    OSX Sierra
    VSCode pluing 1.0.1

    I have several cmd installed because Architect 3.x & 4.x, currently 5.x on PATH because an old Touch project I'm working on.

    Regards.
    UI: Sencha Architect / ExtJS 4 - 6
    Server side: JEE / EJB 3.x / CDI / JPA 2.x/ JAX-RS / JasperReports
    Application Server: WildFly / Weblogic
    Databases: Oracle
    / MySQL / DB2 / Firebird

    If you like my answer please vote!

  2. #2
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103
    Vote Rating
    52
      0  

    Default

    Hi

    The Cmd is not necessary for the plugin to work (it's there only for extra functions)
    http://docs.sencha.com/ide_plugins/g...-_requirements

    There should not be need to edit IntelliSense config in your app as long as you have "standard" ExtJS app, everything should work out of the box when you open your project.

    When you open your project folder you should see indexing in the status bar. Once it's finished the IntelliSense should work in your app files.

    But it's possible that plugin is detecting Cmd and is trying to do something which ultimately fails cos of version 5. You can try to switch PATH to use Cmd 6.2.1

    Regards
    Petr

Similar Threads

  1. Plugin needs Activation Code ...
    By feldtAtDimap in forum JetBrains IDE Plugin
    Replies: 16
    Last Post: 25 Mar 2016, 11:07 AM
  2. How to configure IntelliJ IDE Plugin
    By kinestetic in forum JetBrains IDE Plugin
    Replies: 7
    Last Post: 11 May 2015, 2:19 PM
  3. [CLOSED] Configure CellEditing plugin using declarative syntax
    By pmanrubia in forum Ext 5: Bugs
    Replies: 2
    Last Post: 21 May 2014, 6:40 AM
  4. How to add and configure the plugin "tabCloseMenu" in Sencha Architect
    By BillySao in forum Sencha Architect 2.x: Help & Discussions
    Replies: 3
    Last Post: 8 Jul 2013, 7:50 AM
  5. Ext 2.0 Code Assist plugin for Aptana
    By najibk in forum Ext 2.x: Help & Discussion
    Replies: 2
    Last Post: 14 Jan 2008, 4:06 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •